// voi22-1_A.cpp : This file contains the 'main' function. Program execution begins and ends there.
//
#include <algorithm>
#include <vector>
#include <string>
#include <iostream>
#include <map>
#include <cmath>
#include <climits>

using namespace std;

int main()
{
    int n;
    cin >> n;
    vector<int> v;
    for (int i = 0; i < n; i++)
    {
        int inp;
        cin >> inp;
        v.push_back(inp);
    }
    long long int res = v[n-1];
    int cnt = 1;
    int prev_add = res;
    for (int i = n - 2; i != -1; i--)
    {
        if (v[i] == v[i + 1])
        {
            res += prev_add;
        }
        else
        {
            int w_add = v[i] - cnt;
            if (w_add <= 0) break;
            else 
            { 
                res += w_add; 
                prev_add = w_add; 
            }
        }
        cnt++;
    }
    cout << res;
}

// Run program: Ctrl + F5 or Debug > Start Without Debugging menu
// Debug program: F5 or Debug > Start Debugging menu

// Tips for Getting Started: 
//   1. Use the Solution Explorer window to add/manage files
//   2. Use the Team Explorer window to connect to source control
//   3. Use the Output window to see build output and other messages
//   4. Use the Error List window to view errors
//   5. Go to Project > Add New Item to create new code files, or Project > Add Existing Item to add existing code files to the project
//   6. In the future, to open this project again, go to File > Open > Project and select the .sln file
